# Class Instant

java.lang.Object
java.time.Instant

All Implemented Interfaces:
  `Comparable<Instant>, TemporalAccessor`

public final class Instant extends Object implements Comparable<Instant>, TemporalAccessor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Instant other)`
  Compares this object to the specified object to determine their relative order.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `long`
  `getEpochSecond()`
  `int`
  `getNano()`
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `Instant`
  `minusMillis(long millisToSubtract)`
  `Instant`
  `minusSeconds(long secondsToSubtract)`
  `static Instant`
  `now()`
  `static Instant`
  `ofEpochMilli(long epochMilli)`
  `static Instant`
  `ofEpochSecond(long epochSecond)`
  `static Instant`
  `ofEpochSecond(long epochSecond, long nanoAdjustment)`
  `static Instant`
  `parse(CharSequence text)`
  `Instant`
  `plusMillis(long millisToAdd)`
  `Instant`
  `plusSeconds(long secondsToAdd)`
  `long`
  `toEpochMilli()`
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### now

    public static Instant now()

  - ### ofEpochMilli

    public static Instant ofEpochMilli(long epochMilli)

  - ### ofEpochSecond

    public static Instant ofEpochSecond(long epochSecond)

  - ### ofEpochSecond

    public static Instant ofEpochSecond(long epochSecond, long nanoAdjustment)

  - ### parse

    public static Instant parse(CharSequence text)

  - ### getEpochSecond

    public long getEpochSecond()

  - ### getNano

    public int getNano()

  - ### toEpochMilli

    public long toEpochMilli()

  - ### plusSeconds

    public Instant plusSeconds(long secondsToAdd)

  - ### plusMillis

    public Instant plusMillis(long millisToAdd)

  - ### minusSeconds

    public Instant minusSeconds(long secondsToSubtract)

  - ### minusMillis

    public Instant minusMillis(long millisToSubtract)

  - ### compareTo

    public int compareTo(Instant other)
    Description copied from interface: `Comparable`

    Compares this object to the specified object to determine their relative order.

    ###### Parameters

    - `another`: the object to compare to this instance.

    ###### Returns

    Specified by:
      `compareTo` in interface `Comparable<Instant>`
    Returns:

      a negative integer if this instance is less than `another`; a positive integer if this instance is greater than `another`; 0 if this instance has the same order as `another`.

      ###### Throws

      - `ClassCastException`: @throws ClassCastException if `another` cannot be converted into something comparable to `this` instance.

  - ### equals

    public boolean equals(Object obj)
    Description copied from class: `Object`
    Indicates whether some other object is "equal to" this one. The equals method implements an equivalence relation: It is reflexive: for any reference value x, x.equals(x) should return true. It is symmetric: for any reference values x and y, x.equals(y) should return true if and only if y.equals(x) returns true. It is transitive: for any reference values x, y, and z, if x.equals(y) returns true and y.equals(z) returns true, then x.equals(z) should return true. It is consistent: for any reference values x and y, multiple invocations of x.equals(y) consistently return true or consistently return false, provided no information used in equals comparisons on the object is modified. For any non-null reference value x, x.equals(null) should return false. The equals method for class Object implements the most discriminating possible equivalence relation on objects; that is, for any reference values x and y, this method returns true if and only if x and y refer to the same object (x==y has the value true).
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Description copied from class: `Object`
    Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable. The general contract of hashCode is: Whenever it is invoked on the same object more than once during an execution of a Java application, the hashCode method must consistently return the same integer, provided no information used in equals comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application. If two objects are equal according to the equals(Object) method, then calling the hashCode method on each of the two objects must produce the same integer result. It is not required that if two objects are unequal according to the equals(java.lang.Object) method, then calling the hashCode method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables. As much as is reasonably practical, the hashCode method defined by class Object does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`